<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/refs.basic.other.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'book.yaml.php',
    1 => 'Yaml',
    2 => 'S&eacute;rialisation de donn&eacute;es YAML',
  ),
  'up' => 
  array (
    0 => 'refs.basic.other.php',
    1 => 'Autres extensions basiques',
  ),
  'prev' => 
  array (
    0 => 'v8jsexception.getjstrace.php',
    1 => 'V8JsException::getJsTrace',
  ),
  'next' => 
  array (
    0 => 'yaml.setup.php',
    1 => 'Installation/Configuration',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/yaml/book.xml',
  ),
  'history' => 
  array (
  ),
  'extra_header_links' => 
  array (
    'rel' => 'alternate',
    'href' => '/manual/en/feeds/book.yaml.atom',
    'type' => 'application/atom+xml',
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="book.yaml" class="book">
 
 <h1 class="title">Sérialisation de données YAML</h1>
 

 
 <div id="intro.yaml" class="preface">
  <h1 class="title">Introduction</h1>
  <p class="para">
   Cette extension donne accès au standard de sérialisation
   <a href="http://www.yaml.org/" class="link external">&raquo;&nbsp;YAML Ain&#039;t Markup Language (YAML)</a>.
   L&#039;analyse syntaxique et la production de données sont effectuées
   par la bibliothèque <a href="http://pyyaml.org/wiki/LibYAML" class="link external">&raquo;&nbsp;LibYAML</a>.
  </p>
 </div>
 

 









 









 









 








 










<ul class="chunklist chunklist_book"><li><a href="yaml.setup.php">Installation/Configuration</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.requirements.php">Pr&eacute;-requis</a></li><li><a href="yaml.installation.php">Installation</a></li><li><a href="yaml.configuration.php">Configuration &agrave; l'ex&eacute;cution</a></li></ul></li><li><a href="yaml.constants.php">Constantes pr&eacute;-d&eacute;finies</a></li><li><a href="yaml.examples.php">Exemples</a></li><li><a href="yaml.callbacks.php">Callbacks</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="yaml.callbacks.parse.php">Analyse des fonctions de rappel</a></li><li><a href="yaml.callbacks.emit.php">Emission des fonctions de rappel</a></li></ul></li><li><a href="ref.yaml.php">Fonctions Yaml</a><ul class="chunklist chunklist_book chunklist_children"><li><a href="function.yaml-emit.php">yaml_emit</a> — Retourne une cha&icirc;ne repr&eacute;sentant une valeur YAML</li><li><a href="function.yaml-emit-file.php">yaml_emit_file</a> — Envoie une repr&eacute;sentation YAML vers un fichier</li><li><a href="function.yaml-parse.php">yaml_parse</a> — Analyse un flux YAML</li><li><a href="function.yaml-parse-file.php">yaml_parse_file</a> — Analyse un flux YAML depuis un fichier</li><li><a href="function.yaml-parse-url.php">yaml_parse_url</a> — Analyse un flux YAML depuis une URL</li></ul></li></ul></div><?php manual_footer($setup); ?>